/*
 * main.cpp
 *
 *  Created on: 31 окт. 2021 г.
 *      Author: alexander
 */

#include "WeatherData.hpp"
#include "CurrentConditionsDisplay.hpp"
#include "StaticDisplay.hpp"
#include "ForecastDisplay.hpp"
#include "HeatIndexDisplay.hpp"

int main()
{
    WeatherData weatherData;
    CurrentConditionsDisplay currentDisplay(weatherData);
    StaticDisplay staticDisplay(weatherData);
    ForecastDisplay forecastDisplay(weatherData);
    HeatIndexDisplay heatIndexDisplay(weatherData);

    weatherData.setMeasurements(80, 65, 30.4f);
    weatherData.setMeasurements(82, 70, 29.2f);
    weatherData.setMeasurements(78, 90, 29.2f);

    return 0;
}

